<?php
require_once(LIB_PATH.'widgets/WDialogForm.inc');

/**
 * CustomAsyncTreeDialog
 *
 * @final
 * @author Tomasz Świenty
 * @version 0.1
 * @copyright Copyright (c) BetaSoft
 */
final class CustomAsyncTreeDialog extends WDialogForm {



    /**
     * __construct
     *
     * @param string $name
     * @param string $caption
     * @param string $dstyle
     * @return void
     */
    public function __construct($name, $caption = NULL, $dstyle = BS_DIALOG) {

        parent::__construct($name, Translator::translate('Wybór z async drzewka'), BS_DIALOG);
        $this->path = Application::makeRelativePath(__FILE__);

        //$this->HWND = $this->name;

        $this->sizeable = TRUE;
        
        $this->width = '400px';
        $this->height = '276px';

        if (($this->isOpened()) AND (!$this->noNeedForCreate())) {
            $this->create();
        }

    }



    public function save() {

        $sData = $this->getSData();
        $wData = $this->getWData();

        // tutaj musi nastąpić zapisanie do relacji types_of_vcosts i zapisanie zmiennej $tovcid

        if (isset($sData['js_after'])) {
            JScript::add($sData['js_after']);
        }

        if (isset($sData['onAdd']) AND $sData['onAdd']) {
            JScript::add($sData['onAdd'].'(41)');
        }

        $this->jsClose(TRUE, TRUE);

        return TRUE;

    }



    /**
     * open
     *
     * @param string $params
     * @return void
     */
    public function open($params = array()) {

        parent::open($params, $data);
        $this->setSData($data);
        $this->create();

    }



    /**
     * create
     *
     * @return void
     */
    protected function create($params = NULL) {

        if (!$this->isOpened()) {
            return FALSE;
        }

        $data = $this->getSData();

        require_once(LIB_PATH.'widgets/Panel.inc');
        require_once(LIB_PATH.'forms/TextInput.inc');
        require_once('./scripts/MyCustomTree.inc');

        $this->setHeaderIcon('PageToolBar/settings.png');
        $this->setHeaderTitle(Translator::translate('Wybierz z async drzewka :D.'));

        $top = 14;
        $int = 27;

        $leftPanel = new Panel($this->name.'leftPanel');
        $leftPanel->top = '';
        $leftPanel->left = '';
        $leftPanel->width = '100%';
        $leftPanel->height = '100%';
        $leftPanel->overflow = 'hidden';
        $leftPanel->class = 'b-s-b SPEX_';
        $leftPanel->style = 'float:left;';
        $leftPanel->position = 'relative';
        $leftPanel->display = '';

        //$tree__ = new MyCustomTree($this->name.'tree__', TRUE , $params);

        require_once(LIB_PATH.'widgets/FolderExplorer.inc');
        $tree__ = new FolderExplorer($this->name.'tree__');
        $tree__->setChroot('./var/img/');

        $tree__->withoutUnnecessaryDIV = TRUE;
        $tree__->class = 'b-s-b sbg';
        $tree__->mainCSS = 'height:calc(100% - 30px)';
        $tree__->setStyle('overflow:auto; height:calc(100% - 32px); width:100%;');
        $tree__->onSelect = '$(\''.$this->name.'trekey'.'\').value = this.clsnam;';

        $trekey = new TextInput($this->name.'trekey');
        $trekey->setCSSFormatting(NULL, 'display: none;');

        $this->height = '400px';

        parent::create();

        $this->add($leftPanel);
        $leftPanel->add($tree__);
        $this->add($trekey, 'trekey');

        $this->addButtonsPanel(array('bSave', 'bCancel'));

    }

}

?>